/* config.h for win32 */

#define WINDOWS 1

/* The name of the gettext domain */
#define GETTEXT_PACKAGE "hula"

/* Define to 1 if you have the `consoleprintf' function. */
/* #undef HAVE_CONSOLEPRINTF */

/* Define to 1 if you have the `CreateScreen' function. */
/* #undef HAVE_CREATESCREEN */

/* Define to 1 if you have the `delay' function. */
/* #undef HAVE_DELAY */

#define HAVE_SLEEP 1

/* Define to 1 if you have the `DestroyScreen' function. */
/* #undef HAVE_DESTROYSCREEN */

/* Define to 1 if you have the `DisplayScreen' function. */
/* #undef HAVE_DISPLAYSCREEN */

/* Define to 1 if you have the <dlfcn.h> header file. */
/*#define HAVE_DLFCN_H 1*/

/* Define to 1 if you have the `dlopen' function. */
/* #undef HAVE_DLOPEN */

/* Define to 1 if you have the `dlsym' function. */
/* #undef HAVE_DLSYM */

/* Define to 1 if you have the `dos2calendar' function. */
/* #undef HAVE_DOS2CALENDAR */

/* Define to 1 if you have the `FEFlushWrite' function. */
/* #undef HAVE_FEFLUSHWRITE */

/* Define to 1 if you have the `fsync' function. */
/*#define HAVE_FSYNC 1*/

/* Define to 1 if you have the `getpwnam_r' function. */
/*#define HAVE_GETPWNAM_R 1*/

/* Define to 1 if you have the `gettimeofday' function. */
/*#define HAVE_GETTIMEOFDAY 1*/

/* Define to 1 if you have the `gotoxy' function. */
/* #undef HAVE_GOTOXY */

/* Define to 1 if you have the `HideInputCursor' function. */
/* #undef HAVE_HIDEINPUTCURSOR */

/* Define to 1 if you have the <inttypes.h> header file. */
/*#define HAVE_INTTYPES_H 1 */

/* Define to 1 if you have the `form' library (-lform). */
/* #undef HAVE_LIBFORM */

/* Define to 1 if you have the `menu' library (-lmenu). */
/* #undef HAVE_LIBMENU */

/* Define to 1 if you have the <memory.h> header file. */
/*#define HAVE_MEMORY_H 1*/

/* Define to 1 if you have the `RingTheBell' function. */
/* #undef HAVE_RINGTHEBELL */

/* Define to 1 if you have the `SetCurrentScreen' function. */
/* #undef HAVE_SETCURRENTSCREEN */

/* Define to 1 if you have the `statfs' function. */
/*#define HAVE_STATFS 1*/

/* Define to 1 if you have the `statvfs' function. */
/* #define HAVE_STATVFS 1 */

/* Define to 1 if you have the <stdint.h> header file. */
/*#define HAVE_STDINT_H 1*/

/* Define to 1 if you have the <stdlib.h> header file. */
#define HAVE_STDLIB_H 1

/* Define to 1 if you have the `strcasecmp' function. */
/* #define HAVE_STRCASECMP 1 */

/* Define to 1 if you have the `stricmp' function. */
#define HAVE_STRICMP 1

/* Define to 1 if you have the <strings.h> header file. */
#define HAVE_STRINGS_H 1

/* Define to 1 if you have the <string.h> header file. */
#define HAVE_STRING_H 1

/* Define to 1 if you have the `strncasecmp' function. */
/* #define HAVE_STRNCASECMP 1

/* Define to 1 if you have the `strnicmp' function. */
#define HAVE_STRNICMP 1

/* Define to 1 if you have the <syslog.h> header file. */
/* #define HAVE_SYSLOG_H */

/* Define to 1 if you have the <sys/mount.h> header file. */
/* #define HAVE_SYS_MOUNT_H 1 */

/* Define to 1 if you have the <sys/param.h> header file. */
/* #define HAVE_SYS_PARAM_H 1 */

/* Define to 1 if you have the <sys/statvfs.h> header file. */
/* #undef HAVE_SYS_STATVFS_H */

/* Define to 1 if you have the <sys/stat.h> header file. */
#define HAVE_SYS_STAT_H 1

/* Define to 1 if you have the <sys/sys/mount.h> header file. */
/* #undef HAVE_SYS_SYS_MOUNT_H */

/* Define to 1 if you have the <sys/types.h> header file. */
/* #undef HAVE_SYS_TYPES_H */

/* Define to 1 if you have the <sys/vfs.h> header file. */
/* #undef HAVE_SYS_VFS_H 1 */

/* Define to 1 if you have the `ungetcharacter' function. */
/* #undef HAVE_UNGETCHARACTER */

/* Define to 1 if you have the <unistd.h> header file. */
/* #undef HAVE_UNISTD_H */

/* Define to 1 if you have the `vsnprintf' function. */
/*#define HAVE_VSNPRINTF 1*/

/* Define to 1 if you have the `_commit' function. */
#define HAVE__COMMIT 1

/* Define to 1 if you have the `_ConvertDOSTimeToCalendar' function. */
/* #undef HAVE__CONVERTDOSTIMETOCALENDAR */

/* Define to 1 if you have the `_vsnprintf' function. */
#define HAVE__VSNPRINTF 1

/* The username which hula runs as. */
#define HULA_USER ""

/* Name of package */
#define PACKAGE "hula"

/* Define to the address where bug reports for this package should be sent. */
#define PACKAGE_BUGREPORT ""

/* Define to the full name of this package. */
#define PACKAGE_NAME ""

/* Define to the full name and version of this package. */
#define PACKAGE_STRING ""

/* Define to the one symbol short name of this package. */
#define PACKAGE_TARNAME ""

/* Define to the version of this package. */
#define PACKAGE_VERSION ""

/* Define to 1 if you have the ANSI C header files. */
#define STDC_HEADERS 1

/* Version number of package */
#define VERSION "0.1.0"

/* Define to 1 if your processor stores words with the most significant byte
   first (like Motorola and SPARC, unlike Intel and VAX). */
/* #undef WORDS_BIGENDIAN */

/* Whether the system is big endian */
#define XPL_BIG_ENDIAN 0

/* Default binary directory */
#define	XPL_DEFAULT_BIN_DIR			"/Program Files/Hula/bin"

/* Default cert path */
#define	XPL_DEFAULT_CERT_PATH		    "/Program Files/Hula/dbf/osslcert.pem"

/* Default dbf directory */
#define	XPL_DEFAULT_DBF_DIR			"/Program Files/Hula/dbf"

/* Default key path */
#define XPL_DEFAULT_KEY_PATH "/Program Files/Hula/dbf/osslpriv.pem"

/* Default library directory */
#define XPL_DEFAULT_LIB_DIR "/Program Files/Hula/bin"

/* Default mail directory */
#define XPL_DEFAULT_MAIL_DIR "/Program Files/Hula/users"

/* Default mail directory */
#define XPL_DEFAULT_INDEX_DIR "/Program Files/Hula/index"

/* Default scms directory */
#define XPL_DEFAULT_NLS_DIR "/Program Files/Hula/nls"

/* Default scms directory */
#define XPL_DEFAULT_SCMS_DIR "/Program Files/Hula/scms"

/* Default spool directory */
#define XPL_DEFAULT_SPOOL_DIR "/Program Files/Hula/spool"

/* Default work directory */
#define XPL_DEFAULT_WORK_DIR "/Program Files/Hula/work"

/* Whether the system is little endian */
#define XPL_LITTLE_ENDIAN 1

#define HAVE__SNPRINTF 1

#ifndef SQLITE_PTR_SZ
#define SQLITE_PTR_SZ 4
#endif

#ifndef XPL_POINTER_TO_UINT_CAST
#define XPL_POINTER_TO_UINT_CAST
#endif

#ifndef XPL_POINTER_TO_INT_CAST
#define XPL_POINTER_TO_INT_CAST
#endif
