using log4net.Config;

namespace Hula.Util {
public class Logging {
    public static void Configure() {
	bool debugLog = false;
	string debugVar = System.Environment.GetEnvironmentVariable("HULA_DEBUG");
	if (debugVar != null) {
	    string[] debug = debugVar.Split(',');
	    foreach (string option in debug) {
		if (option == "console") {
		    debugLog = true;
		    break;
		}
	    }
	}
	
	if (debugLog) {
	    BasicConfigurator.Configure();
	} else {
	    XmlConfigurator.Configure();
	}
    }
}
}
