using System.IO;
using System.Xml;

namespace Hula.Cal {
public class TestData {
    public static string GetString(string name) {
	return GetReader(name).ReadToEnd();
    }

    public static XmlDocument GetXml(string name) {
	XmlDocument doc = new XmlDocument();
	doc.Load(GetReader(name));
	return doc;
    }

    public static TextReader GetReader(string name) {
	return new StreamReader(GetStream(name));
    }

    public static Stream GetStream(string name) {
	System.Reflection.Assembly assembly = System.Reflection.Assembly.GetCallingAssembly ();
	return assembly.GetManifestResourceStream (name);
    }
}
}
